Subject: bug#56873: Make `defvar-keymap' warn on conflicting and redundant bindings

From: Drew Adams <[email-masked]>
Date: Tue, 2 Aug 2022 15:46:09 +0000

> > but I wonder if `warn' is overkill.
> I think it should signal an error.

Why?  I don't understand what the "error" is.
A warning is one thing - lets you know about
a possible typo or logic mistake.  But an error?

Will you raise an error for these also?  Why not?

(setq a nil
      a t)

(setq a 42
      a 42)

What about generated code?  Is there something
_necessarily wrong_ with the code you want to
raise an error for?  Where's the error beef?